Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Another firmware update question....

Discussion in 'Firmware' started by Alterastro, May 22, 2015.

  1. Alterastro

    Joined:
    May 8, 2015
    Messages:
    26
    Likes Received:
    2
    Location:
    Surrey, UK
    When I got my P3 I duly updated the firmware. All went fine and actually updated in around two minutes.

    I've just gone to update to 1.1.9 and had a bit of a problem. I was getting the D-D-D-D fine. The P3 made the startup bleeps several times over a ten minute period and then the camera switched off (swiveled down) and the LED's switched off. The D-D-D-D continued for another five minutes and then just stopped. Not the DD-D that you are supposed to get when done. I read the SD card and got this:


    ========== 2014.01.01 00:00:14 unsynchronized ======
    Packet: P3S_FW_V01.01.0009.bin
    Upgrading ...

    ooh I thought, thats not good. So I put the SD card back in and started her up. She started fine, without going into firmware update. The App shows current firmware 1.1.9 and everything seems fine. I checked the SD card again and now I got:


    ========== 2014.01.01 00:00:14 unsynchronized ======
    Packet: P3S_FW_V01.01.0009.bin
    Upgrading ...

    ========== 2014.01.01 00:00:12 unsynchronized ======
    Packet: P3S_FW_V01.01.0009.bin
    Result: Abort.
    The firmware on the SD card is identical to or older than the current firmware on the aircraft.

    So has the firmware upgraded ok or should I be worried?

    Also, is this firmware for the bird only? I tried updating the controller and get the 'identical or older' message.

    Thanks
     
  2. bbfpv

    Joined:
    Feb 3, 2015
    Messages:
    3,744
    Likes Received:
    1,092
    Location:
    Long Island, NY
    It's upgraded.
    It says in the release notes it's for the bird only.
     
  3. WorldDrone

    Joined:
    May 13, 2015
    Messages:
    11
    Likes Received:
    0
    Location:
    Atlanta
    Hi there, I just receiver my drone yesterday and am first unboxing and getting setup this morning. I have successfully updated the drone firmware to the latest .09 version. My controller won't update because the new firmware does not affect the controller. Does anyone know if my controller straight out of the box will work well with the latest drone firmware update? Thanks!
     
  4. bbfpv

    Joined:
    Feb 3, 2015
    Messages:
    3,744
    Likes Received:
    1,092
    Location:
    Long Island, NY
    If you just unboxed, then your controller is already 1.8. So yes, the controller will play nice. You'll know if an update is needed because it will tell you so.
     
  5. WorldDrone

    Joined:
    May 13, 2015
    Messages:
    11
    Likes Received:
    0
    Location:
    Atlanta
  6. rmarler

    Joined:
    May 10, 2015
    Messages:
    25
    Likes Received:
    2
    Location:
    Douglas Wyoming
    Does anyone know exactly what the version 1.1.9 firmware changes or adds to the previous firmware. Is it adding more operating menus or ??
     
  7. tcope

    Joined:
    Jan 29, 2015
    Messages:
    3,508
    Likes Received:
    1,387
    Location:
    Salt Lake City, UT
    The release info is posted on the DJI download page and it's posted here in another firmware thread. It does not change anything you'd care about.
     
  8. rmarler

    Joined:
    May 10, 2015
    Messages:
    25
    Likes Received:
    2
    Location:
    Douglas Wyoming
    Thanks for the quick reply
     
  9. tbarnesarc

    Joined:
    Oct 13, 2014
    Messages:
    5
    Likes Received:
    0
    A buddy just got his P3 advanced. I just did the FW upgrade for him. All went fine, but the IOS app is still showing that the bird needs a FW upgrade. Anyone else had this issue? Also the txt file showed success so I know it took the upgrade. I'm an owner of an Inspire so I have done many FW upgrades but have never seen this. Any insight would be appreciated.
     
  10. bobmyers

    Joined:
    May 10, 2015
    Messages:
    3,611
    Likes Received:
    866
    Location:
    San Antonio, TX
    What version did you upgrade? there are two and you have to do both if the quad came with the original version as well as update the controller.
     
  11. tbarnesarc

    Joined:
    Oct 13, 2014
    Messages:
    5
    Likes Received:
    0
    Phantom 3 Advanced Firmware v1.1.9
    @bobmyers I tried doing the controller too but the text file said it already had it. Seems odd.
     
  12. bobmyers

    Joined:
    May 10, 2015
    Messages:
    3,611
    Likes Received:
    866
    Location:
    San Antonio, TX
    It probably did-- the first update had the controller update in it. I preordered my p3 the day they were released for order, so I have the the first edition. If the update is not current, the app will detect it.
     
  13. tbarnesarc

    Joined:
    Oct 13, 2014
    Messages:
    5
    Likes Received:
    0
    My buddy got his P3 advanced yesterday and brought it by today. The first thing I did was update the firmware with the latest. The bird updated just fine, but the app says it isn't. I've never seen that before at least on my inspire. Must be an app bug or something.
     
  14. bobmyers

    Joined:
    May 10, 2015
    Messages:
    3,611
    Likes Received:
    866
    Location:
    San Antonio, TX
    Ck the DJI website for the update numbers--- I had to update the controller out of the box along with the aircraft. I did not have to update the controller to go to 1.1.9 firmware update-- the second one.
     
  15. tbarnesarc

    Joined:
    Oct 13, 2014
    Messages:
    5
    Likes Received:
    0
    That's what I did. There's only one up on the site for the P3 Advanced.
     

    Attached Files:

  16. bobmyers

    Joined:
    May 10, 2015
    Messages:
    3,611
    Likes Received:
    866
    Location:
    San Antonio, TX
    That is the correct firmware 1.1.9 update and if you just received your Phantom, that should be all you need. I do know that you cant install the 1.1.9 update unless your already have the firmware updated to 1.1.8. I don't think you could have updated to 1.1.9 if 1.1.8 were not already existing on your controller and air craft. You may have a technical support issue with DJI if they sent you a controller that was not updated from the original version.
     
  17. tbarnesarc

    Joined:
    Oct 13, 2014
    Messages:
    5
    Likes Received:
    0
    got ya. Thanks for the info. I appreciate it and I'll pass it on to my buddy who owns the P3. Have a great weekend. Cheers!
     
  18. Drew finn

    Joined:
    Apr 4, 2015
    Messages:
    7
    Likes Received:
    0
    I've done the same thing, the pilot app says I need to upgrade, but the bird flys fine???
     
  19. bobmyers

    Joined:
    May 10, 2015
    Messages:
    3,611
    Likes Received:
    866
    Location:
    San Antonio, TX
    You need to upgrade :)
     
  20. Drew finn

    Joined:
    Apr 4, 2015
    Messages:
    7
    Likes Received:
    0
    Same with me. But the bird seems to fly fine